import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { useCities } from './useCities';
import { useWorldAtlas } from './useWorldAtlas';
import { Marks } from './Marks';

const width = 960;
const height = 500;

const App = () => {
  const worldAtlas = useWorldAtlas();
  const cities = useCities();
  console.log(cities);

  if (!worldAtlas || !cities) {
    return <pre>Loading...</pre>;
  }

  
  return (
    
    <svg width={width} height={height}>
      
        <Marks
          worldAtlas={worldAtlas}
         cities={cities}
        />
 
    </svg>
    
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
